from django.urls import path

from . import views
from .views import BooksListView, BooksDetailView, AuthorsListView, AuthorsDetailView

urlpatterns = [
    path('home/', views.homepage_view, name='home'),
    path('books/', BooksListView.as_view(), name='books'),
    path('books/<int:pk>/details/', BooksDetailView.as_view(), name='book_details'),
    path('authors/', AuthorsListView.as_view(), name='authors'),
    path('authors/<int:pk>/details/', AuthorsDetailView.as_view(), name='author_details')
]

app_name = 'bookshelf'